%global vers 1.0
%global git_commit b396c7474c806ec553634af6a9dbbf056da5997b
%global short_commit %(c=%{git_commit}; echo ${c:0:7})

Name:           openxcom
Version:        %{vers}git%{short_commit}
Release:        4%{?dist}
Summary:        An open source reimplementation of the original X-Com game
License:        GPL-3.0
Group:          Amusements/Games/Strategy/Turn Based
Url:            http://openxcom.org/
Source0:        https://github.com/SupSuper/OpenXcom/archive/v%{vers}.tar.gz
Source1:        %{name}.svg
Source2:        %{name}-symbolic.svg
Source3:        %{name}.appdata.xml
Patch0:         %{name}.abs-fix.patch
Patch1:         %{name}.auto_ptr-fix.patch

BuildRequires:  SDL-devel
BuildRequires:  SDL_gfx-devel >= 2.0.22
BuildRequires:  SDL_image-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  docbook2X
BuildRequires:  dos2unix
BuildRequires:  doxygen
BuildRequires:  fdupes
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  xmlto
BuildRequires:  yaml-cpp-devel >= 0.5

%description
OpenXcom is an open-source clone of the original UFO: Enemy Unknown
(X-Com: UFO Defense in USA), licensed under the GPL and written in C++ / SDL.

The goal of the project is to bring back the tried and true feel of the original
with none of the issues. All the same graphics, sound and gameplay with a brand
new codebase written from scratch.

User is required to have original gamedata (possible to obtain from e.g. Steam)
installed to ~/.local/share/openxcom/data/

%package doc
Summary:        Documentation files for %{name}
Group:          Amusements/Games/Strategy/Turn Based
Requires:       %{name} = %{version}

%description doc
Documentation files for %{name} game.

%prep
%setup -q -n OpenXcom-%{vers}
chmod -x LICENSE.txt
cp -p %{SOURCE1} %{SOURCE2} %{SOURCE3} .
%patch0 -p1
%patch1 -p1

sed -i \
	-e 's:HTML_TIMESTAMP         = YES:HTML_TIMESTAMP         = NO:g' \
	docs/Doxyfile.in
dos2unix *.txt

%build
CXXFLAGS="%{optflags}" \
./autogen.sh
%configure \
	--disable-werror \
	--with-docs --docdir="%{_docdir}/%{name}"
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
install -m 0755 -d %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
install -m 0644 -p %{name}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
install -m 0755 -d %{buildroot}%{_datadir}/icons/hicolor/symbolic/apps
install -m 0644 -p %{name}-symbolic*.svg %{buildroot}%{_datadir}/icons/hicolor/symbolic/apps
install -m 0755 -d %{buildroot}%{_datadir}/appdata
install -m 0644 -p %{name}.appdata.xml %{buildroot}%{_datadir}/appdata

%fdupes %{buildroot}%{_datadir}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt CHANGELOG.txt
%{_datadir}/applications/openxcom.desktop
%{_mandir}/man6/openxcom.6.gz
%exclude %{_datadir}/pixmaps/openxcom.svg
%exclude %{_datadir}/pixmaps/openxcom.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/symbolic/apps/%{name}-symbolic.svg
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/%{name}/
%{_bindir}/%{name}
%dir %{_docdir}/%{name}
%exclude %{_docdir}/%{name}/html/

%files doc
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}/html
%{_docdir}/%{name}/html/*

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
	/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%changelog
* Fri Sep 29 2017 josef radinger <cheese@nosuchhost.net> - 1.0gitb396c74-4
- bump version
- rebuild
- spec-file cleanup

* Sun Oct 23 2016 Evgeny Kolesnikov <evgenyz@gmail.com> - 1.0.0-3
- Fixes for GCC 6 (F24, F25).

* Sun Oct 04 2015 Evgeny Kolesnikov <evgenyz@gmail.com> - 1.0.0-2
- Small fix to the SVG icon.

* Fri Sep 04 2015 Evgeny Kolesnikov <evgenyz@gmail.com> - 1.0.0-1
- Initial package of the first stable version (1.0).
